<html>
    <head>
            <meta http-equiv="Content-Security-Policy" content="default-src * 'unsafe-inline' 'unsafe-eval'; script-src * 'unsafe-inline' 'unsafe-eval'; connect-src * 'unsafe-inline'; img-src * data: blob: 'unsafe-inline'; frame-src *; style-src * 'unsafe-inline';">
            <meta name="format-detection" content="telephone=no">
            <meta name="msapplication-tap-highlight" content="no">
            <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">
            <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
            <link rel="stylesheet" type="text/css" href="css/index.css">
			<title>Plateforme Medica</title>
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="#">MEDICA</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="index.html">Calculatrice <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="map.html">Pharmacies</a>
                </li>
                </ul>
            </div>
            </nav>
            <div class="container-fluid pt-3">
                <div class="d-flex f-row justify-content-center">
                    <div id="map flex-shrink-1 flex-grow-1">
                        <div>
                            <iframe width="600" height="500" frameborder="0" src="https://www.bing.com/maps/embed?h=500&w=600&cp=43.61864519975402~3.8153518725585833&lvl=12&typ=d&sty=r&src=SHELL&FORM=MBEDV8" scrolling="no">
                            </iframe>
                            <div style="white-space: nowrap; text-align: center; width: 600px; padding: 6px 0;">
                               <a id="largeMapLink" target="_blank" href="https://www.bing.com/maps?cp=43.61864519975402~3.8153518725585833&amp;sty=r&amp;lvl=12&amp;FORM=MBEDLD">Afficher une carte plus grande</a> &nbsp; | &nbsp;
                               <a id="dirMapLink" target="_blank" href="https://www.bing.com/maps/directions?cp=43.61864519975402~3.8153518725585833&amp;sty=r&amp;lvl=12&amp;rtp=~pos.43.61864519975402_3.8153518725585833____&amp;FORM=MBEDLD">Calculer l’itinéraire</a>
                           </div>
                       </div>
                    </div>
                    <div id="list" class="ml-5 flex-shrink-1 flex-grow-1">
						<div class="card mb-2">
							<div class="card-body" >
								<h5>1. Pharmacie des 4 Seigneurs</h5>
								<p> Ventes : 13.000 euros</p>
								<p> Besoins en formation : homéopathie</p>
								<a href="#modal-form"
                                data-toggle="modal"
                                class="card-link stretched-link"
                                data-nom="Pharmacie des 4 Seigneurs"
                                data-adresse="675 Avenue Abbé Paul Parguel"
                                data-code="34090"
                                data-ville="Montpellier"
                                data-ventes="13.000"
                                data-besoin="Homéopathie"></a>
							</div>
						</div>
                      <div class="card mb-2">
                          <div class="card-body">
                            <h5>2. Pharmacie de Saint Eloi</h5>
                            <p> Ventes : 35.958 euros</p>
                            <p> Besoins en formation : aucun</p>
							<a href="#modal-form"
                            data-toggle="modal"
                            class="card-link stretched-link"
                            data-nom="Pharmacie de Saint Eloi"
                            data-adresse="4 Rue Henri Dunant"
                            data-code="34090"
                            data-ville="Montpellier"
                            data-ventes="35.958"
                            data-besoin="Aucun"></a>
                        </div>
                      </div>
                      <div class="card mb-2">
                          <div class="card-body">
                            <h5>3. Pharmacie du Marché</h5>
                            <p> Ventes : 20.100 euros</p>
                            <p> Besoins en formation : assistant de laboratoire</p>
							<a href="#modal-form"
                            data-toggle="modal"
                            class="card-link stretched-link"
                            data-nom="Pharmacie du Marché"
                            data-adresse="François Mitterrand, 147 Grand Rue"
                            data-code="34130"
                            data-ville="Mauguio"
                            data-ventes="20.100"
                            data-besoin="Assistant de laboratoire"></a>
                        </div>
                      </div>
                      <div class="card mb-2">
                          <div class="card-body">
                            <h5>4. Pharmacie Les Herbes De Saint Jean</h5>
                            <p> Ventes : 45.250 euros</p>
                            <p> Besoins en formation : aucun</p>
							<a href="#modal-form"
                            data-toggle="modal"
                            class="card-link stretched-link"
                            data-nom="Pharmacie Les Herbes De Saint Jean"
                            data-adresse="164 Esplanade de l'Ortet"
                            data-code="34430"
                            data-ville="Saint-Jean-de-Védas"
                            data-ventes="45.250"
                            data-besoin="Aucun"></a>
                        </div>
                      </div>
                      <div class="card">
                          <div class="card-body">
                            <h5>5. Pharmacie du Pic Saint Loup</h5>
                            <p> Ventes : 31.700 euros</p>
                            <p> Besoins en formation : aucun</p>
							<a href="#modal-form"
                            data-toggle="modal"
                            class="card-link stretched-link"
                            data-nom="Pharmacie du Pic Saint Loup"
                            data-adresse="1 Allée Terra Via"
                            data-code="34270"
                            data-ville="Saint-Mathieu-de-Tréviers"
                            data-ventes="31.700"
                            data-besoin="Aucun"></a>
                        </div>
                      </div>
                  </div>
             </div>
			 <!-- V3 -->
             <div class="modal fade" id="modal-form" tabindex="-1">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
						  <div class="modal-header">
							<h5 class="modal-title">Informations sur la pharmacie</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							  <span aria-hidden="true">&times;</span>
							</button>
						  </div>
						  <div class="modal-body">
							<form action="/action_page.php">
								<div class="form-group">
									<label for="brut">Nom</label>
									<input type="text" class="form-control" id="nom">
								</div>
								<div class="form-group">
									<label for="brut">Adresse</label>
									<input type="text" class="form-control" id="adresse">
								</div>
									<div class="row">
										<div class="col-lg-3">
											<div class="form-group">
												<label for="brut">Code postal</label>
												<input type="number" class="form-control" id="code">
											</div>
										</div>
										<div class="col">
											<div class="form-group">
												<label for="brut">Ville</label>
												<input type="text" class="form-control" id="ville">
											</div>
										</div>
									</div>
								<div class="form-group">
									<label for="remise">Achats par produit</label>
									<input type="text" class="form-control" id="">
								</div>
								<div class="form-group">
									<label for="remise">Ventes</label>
									<input type="text" class="form-control" id="ventes">
								</div>
								<div class="form-group">
									<label for="remise">Besoins en formation</label>
									<input type="text" class="form-control" id="besoinsEnFormation">
								</div>
								<button type="submit" class="btn btn-primary">Valider</button>
							</form>
						  </div>
						</div>
					</div>
				</div>
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
        <script type="text/javascript" src="js/bootstrap.bundle.min.js"></script>
        <script>
            (function () {
                window.addEventListener ?
                window.addEventListener("load",getLocation,false) :
                window.attachEvent && window.attachEvent("onload",getLocation);

                var x = document.getElementById("demo");

                function getLocation() {
                    if (navigator.geolocation) {
                    navigator.geolocation.getCurrentPosition(showPosition);
                    } else {
                    x.innerHTML = "Geolocation is not supported by this browser.";
                    }
                }

                function showPosition(position) {
                    x.innerHTML = "Latitude: " + position.coords.latitude +
                    "<br>Longitude: " + position.coords.longitude;
                }

                $('#modal-form').on('show.bs.modal', function (event) {
                    var button = $(event.relatedTarget)
                    var modal = $(this)

                    console.log(button);
                    console.log(modal);

                    modal.find('#nom').val(button.data('nom'));
                    modal.find('#adresse').val(button.data('adresse'));
                    modal.find('#code').val(button.data('code'));
                    modal.find('#ville').val(button.data('ville'));
                    modal.find('#ventes').val(button.data('ventes'));
                    modal.find('#besoinsEnFormation').val(button.data('besoin'));
                })
            })()
        </script>
</body>


</html>
